# How To Set Up Tampermonkey


Tampermonkey is a browser extension that allows you to run custom scripts on web pages to modify their behavior. This can range from reloading automatically every 5 minutes to completely automating some task through the DOM. The steps below will walk you through how to install Tampermonkey and set up a script.

1. Install Tampermonkey from one of the following locations:  
\- Firefox Addons: https://addons.mozilla.org/en-US/firefox/addon/tampermonkey/  
\- Microsoft Edge Addons: https://microsoftedge.microsoft.com/addons/detail/tampermonkey/iikmkjmpaadaobahmlepeloendndfphd  
\- The Chrome Web Store: https://chrome.google.com/webstore/detail/tampermonkey/dhdgffkkebhmkfjojejmpbldmpobfkfo  
2. Once the extension is installed review the permissions and click on okay. The extension won't do anything on its own. The permissions dictate what you will be able to do with the web pages you load.  
3. Click on the new icon on the top right of your browser and then select the Dashboard menu item near the bottom.  
4. Near the tabs on the top right of the page you will see a plus sign in a box. Click on this to create a new script.  
5. Navigate to the script you would like to install, copy all the text, and paste it into the new text field replacing everything that may already be there.  
6. Press ctrl+s to save and the script will now run where it is configured to.  
7. Enjoy! You can add more scripts the same way or enable/disable them on the dashboard as well.

<sub>There's probably another way to install scripts from a link but this seems easy enough for now</sub>
